Summary: A library for editing typed in command lines.
Name: readline
Version: 4.1
Release: 1.3.0
Vendor: Guardian Digital, Inc.
Packager: Guardian Digital, Inc. <http://www.linuxseclabs.com>
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnu.org/gnu/readline-%{version}.tar.gz
Patch0: readline-2.2.1-guard.patch
Prereq: /sbin/install-info /sbin/ldconfig
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: sed

%description
The readline library reads a line from the terminal and returns it,
allowing the user to edit the line with standard emacs editing keys.
The readline library allows programmers to provide an easy to use and
more intuitive interface for users.

If you want to develop programs that will use the readline library,
you'll also need to install the readline-devel package.

%package devel
Summary: Files needed to develop programs which use the readline library.
Group: Development/Libraries
Requires: readline = %{version}

%description devel
The readline library will read a line from the terminal and return it.
Use of the readline library allows programmers to provide an easy
to use and more intuitive interface for users.

If you want to develop programs which will use the readline library,
you'll need to have the readline-devel package installed.  You'll also
need to have the readline package installed.

%prep
%setup -q
%patch0 -p1 -b .guard

%build
%configure
make all shared

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}

%makeinstall install install-shared

chmod 755 ${RPM_BUILD_ROOT}/%{prefix}/lib/*.so*

{ cd ${RPM_BUILD_ROOT}
  ln -sf libreadline.so.%{version} .%{_libdir}/libreadline.so
  ln -sf libhistory.so.%{version} .%{_libdir}/libhistory.so
  ln -sf libreadline.so.%{version} \
  	.%{_libdir}/libreadline.so.`echo %{version} | sed 's^\..*^^g'`
  ln -sf libhistory.so.%{version} \
  	.%{_libdir}/libhistory.so.`echo %{version} | sed 's^\..*^^g'`
  gzip -9nf .%{_infodir}/*.info*
  rm -f .%{_infodir}/dir
}
 
%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
if [ -f %{_infodir}/history.info.gz ];then 
	/sbin/install-info %{_infodir}/history.info.gz %{_infodir}/dir
fi
if [ -f %{_infodir}/readline.info.gz ]; then
	/sbin/install-info %{_infodir}/readline.info.gz %{_infodir}/dir
fi

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/history.info.gz %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/readline.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc %{_mandir}/man*/*
%doc %{_infodir}/*.info*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/readline
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.1, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- marked *info.gz as %doc
- made install-info conditional on existence of *info.gz
